CVE-2017-7561

NameCVE-2017-7561
DescriptionRed Hat JBoss EAP version 3.0.7 through before 4.0.0.Beta1 is vulnerable to a server-side cache poisoning or CORS requests in the JAX-RS component resulting in a moderate impact.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs873392

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
resteasy (PTS)jessie3.0.6-2fixed
buster, sid3.1.0-2vulnerable
resteasy3.0 (PTS)sid3.0.19-1undetermined

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
resteasysource(unstable)(unfixed)medium873392
resteasysourcejessie(not affected)
resteasy3.0source(unstable)undeterminedmedium

Notes

[jessie] - resteasy <not-affected> (CORS Filter added in 3.0.7.Final)
https://bugzilla.redhat.com/show_bug.cgi?id=1483823
https://issues.jboss.org/projects/RESTEASY/issues/RESTEASY-1704
Fixed by: https://github.com/resteasy/Resteasy/commit/517db971d8f7094124416bf72091fd0b45a13028

Search for package or bug name: Reporting problems